#include <bits/stdc++.h>
using namespace std;
long long  n,m,T,niz[1000007];
long long  a,b,x;
string bin(long long  x){
	string s;
	while(x){
		if(x%2==0)s.push_back('0');
		else s.push_back('1');
		x/=2;
	}
	reverse(s.begin(),s.end());
	return s;
}
long long bit[50];
int  main(){
		cin>>n>>m;
		for(long long  i=1;i<=n;i++){
				cin>>niz[i];
				string s=bin(niz[i]);
				long long  x=1;
				for(long long  j=s.size()-1;j>=0;j--,x++){
						if(s[j]=='1')bit[x]++;
				}
		}
		for(long long  i=1;i<=10;i++){
				bit[i]=min(bit[i],n-bit[i]);
		}
		long long suma=0,x=1;
		for(long long  i=1;i<=35;i++,x*=2){
				suma+=bit[i]*x;
		}
		cout<<suma<<endl;



	return 0;
}